package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabNegativelistHistory;

import java.util.Date;

/**
 * @Author: liujh
 * @Date: 2021/12/19/13:24
 * @Description:
 */
public class LabNegativelistVO extends LabNegativelistHistory {

    private String statTime;

    private String beginTime;

    private String endTime;

    private int dataType;

    private Long semesterId;

    private Long joinUserId;

    private Integer violationType;

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getStatTime() {
        return statTime;
    }

    public void setStatTime(String statTime) {
        this.statTime = statTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public int getDataType() {
        return dataType;
    }

    @Override
    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public Integer getViolationType() {
        return violationType;
    }

    public void setViolationType(Integer violationType) {
        this.violationType = violationType;
    }
}
